var salt = 'secret key' 

function mk_hash(s) {
    return crypto.createHash('sha1').update(s).digest('hex')
}

function mk_cookie(c) {
    return c.toString() + '-' + mk_hash(c.toString() + salt)
}

function gt_cookie(s) {
    var splits = s.split("-", 2);
    var counter = parseInt(splits[0])
    var hash = splits[1]
    if (mk_hash(counter.toString() + salt) == hash) {
        return counter
    } else { return 0 }
}

app.get('/', function(req, res){ .... });
